===================================================================
RCS file: /cvsroot/roundup/roundup/roundup/cgi/actions.py,v
retrieving revision 1.48
diff -u -r1.48 actions.py
--- actions.py	7 Jul 2005 06:46:09 -0000	1.48
+++ actions.py	20 Jul 2005 04:49:08 -0000
@@ -1,6 +1,6 @@
 #$Id: actions.py,v 1.48 2005/07/07 06:46:09 richard Exp $
 
-import re, cgi, StringIO, urllib, Cookie, time, random, csv
+import re, cgi, StringIO, urllib, Cookie, time, random, csv, codecs
 
 from roundup import hyperdb, token, date, password
 from roundup.i18n import _
@@ -936,7 +936,7 @@
             matches = None
 
         h = self.client.additional_headers
-        h['Content-Type'] = 'text/csv'
+        h['Content-Type'] = 'text/csv; charset=%s' % self.client.charset
         # some browsers will honor the filename here...
         h['Content-Disposition'] = 'inline; filename=query.csv'
 
@@ -946,7 +946,12 @@
             # all done, return a dummy string
             return 'dummy'
 
-        writer = csv.writer(self.client.request.wfile)
+        wfile = self.client.request.wfile
+        if self.client.charset != self.client.STORAGE_CHARSET:
+            wfile = codecs.EncodedFile(wfile,
+                self.client.STORAGE_CHARSET, self.client.charset, 'replace')
+
+        writer = csv.writer(wfile)
         writer.writerow(columns)
 
         # and search

 	  	 
